Package com.salesforce.hyperdb.grpc

## Class QueryInfoParam.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>
      - - com.salesforce.hyperdb.grpc.QueryInfoParam.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `QueryInfoParamOrBuilder`, `Cloneable`

Enclosing class:
  QueryInfoParam

    public static final class QueryInfoParam.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>
    implements QueryInfoParamOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.QueryInfoParam`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`QueryInfoParam.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryInfoParam` `build()`
`QueryInfoParam` `buildPartial()`
`QueryInfoParam.Builder` `clear()`
`QueryInfoParam.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`QueryInfoParam.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`QueryInfoParam.Builder` `clearQueryId()` `string query_id = 1;`
`QueryInfoParam.Builder` `clearStreaming()` `bool streaming = 2;`
`QueryInfoParam.Builder` `clone()`
`QueryInfoParam` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getQueryId()` `string query_id = 1;`
`com.google.protobuf.ByteString` `getQueryIdBytes()` `string query_id = 1;`
`boolean` `getStreaming()` `bool streaming = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`QueryInfoParam.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`QueryInfoParam.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`QueryInfoParam.Builder` `mergeFrom​(QueryInfoParam other)`
`QueryInfoParam.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`QueryInfoParam.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryInfoParam.Builder` `setQueryId​(String value)` `string query_id = 1;`
`QueryInfoParam.Builder` `setQueryIdBytes​(com.google.protobuf.ByteString value)` `string query_id = 1;`
`QueryInfoParam.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`QueryInfoParam.Builder` `setStreaming​(boolean value)` `bool streaming = 2;`
`QueryInfoParam.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>`

#### clear

    public QueryInfoParam.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>`

#### getDefaultInstanceForType

    public QueryInfoParam getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public QueryInfoParam build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public QueryInfoParam buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public QueryInfoParam.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>`

#### setField

    public QueryInfoParam.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                           Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>`

#### clearField

    public QueryInfoParam.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>`

#### clearOneof

    public QueryInfoParam.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>`

#### setRepeatedField

    public QueryInfoParam.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   int index,
                                                   Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>`

#### addRepeatedField

    public QueryInfoParam.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>`

#### mergeFrom

    public QueryInfoParam.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryInfoParam.Builder>`

#### mergeFrom

    public QueryInfoParam.Builder mergeFrom​(QueryInfoParam other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>`

#### mergeFrom

    public QueryInfoParam.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                     throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryInfoParam.Builder>`
Throws:
  `IOException`

#### getQueryId

    public String getQueryId()

`string query_id = 1;`

Specified by:
  `getQueryId` in interface `QueryInfoParamOrBuilder`
Returns:
  The queryId.

#### getQueryIdBytes

    public com.google.protobuf.ByteString getQueryIdBytes()

`string query_id = 1;`

Specified by:
  `getQueryIdBytes` in interface `QueryInfoParamOrBuilder`
Returns:
  The bytes for queryId.

#### setQueryId

    public QueryInfoParam.Builder setQueryId​(String value)

`string query_id = 1;`

Parameters:
  `value` - The queryId to set.
Returns:
  This builder for chaining.

#### clearQueryId

    public QueryInfoParam.Builder clearQueryId()

`string query_id = 1;`

Returns:
  This builder for chaining.

#### setQueryIdBytes

    public QueryInfoParam.Builder setQueryIdBytes​(com.google.protobuf.ByteString value)

`string query_id = 1;`

Parameters:
  `value` - The bytes for queryId to set.
Returns:
  This builder for chaining.

#### getStreaming

    public boolean getStreaming()

`bool streaming = 2;`

Specified by:
  `getStreaming` in interface `QueryInfoParamOrBuilder`
Returns:
  The streaming.

#### setStreaming

    public QueryInfoParam.Builder setStreaming​(boolean value)

`bool streaming = 2;`

Parameters:
  `value` - The streaming to set.
Returns:
  This builder for chaining.

#### clearStreaming

    public QueryInfoParam.Builder clearStreaming()

`bool streaming = 2;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final QueryInfoParam.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>`

#### mergeUnknownFields

    public final QueryInfoParam.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfoParam.Builder>`